Eclipse Platform Release 3.7

## org.eclipse.ui.editors.text
Class TextFileDocumentProvider.FileInfo

    java.lang.Object
      org.eclipse.ui.editors.text.TextFileDocumentProvider.FileInfo

Enclosing class:
  TextFileDocumentProvider

    protected static class TextFileDocumentProvider.FileInfo

extends Object

Field Summary
`boolean` `fCachedReadOnlyState`
`int` `fCount`
`Object` `fElement`
`IAnnotationModel` `fModel`
`ITextFileBuffer` `fTextFileBuffer`
`LocationKind` `fTextFileBufferLocationKind` The file buffer location kind.

Constructor Summary
`protected` `TextFileDocumentProvider.FileInfo()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fElement

    public Object fElement

### fCount

    public int fCount

### fTextFileBuffer

    public ITextFileBuffer fTextFileBuffer

### fTextFileBufferLocationKind

    public LocationKind fTextFileBufferLocationKind

  The file buffer location kind.

  Since:
    3.4

### fModel

    public IAnnotationModel fModel

### fCachedReadOnlyState

    public boolean fCachedReadOnlyState

Constructor Detail

### TextFileDocumentProvider.FileInfo

    protected TextFileDocumentProvider.FileInfo()

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.